:root {
  color-scheme: dark;
  --primary: hsl(131, 81%, 21%);
  --negative: #b81414;
  --negative-light: #f18383;
  --negative-dark: #710d0d;
  --positive: #14b838;
  --positive-light: #7cf197;
  --positive-dark: #0d7123;
  --root: hsl(131, 27%, 8%);
  --root-rgb: 15, 18, 25;
  --header: hsl(131, 28%, 12%);
  --unfocused: hsl(131, 31%, 5%);
  --text: #ffffff;
  --text-rgb: 255, 255, 255;
  --text-alt: #bbc5dd;
  --text-light: #ffffff;
  --label: hsl(131, 16%, 38%);
  --label-light: hsl(131, 15%, 50%);
  --neutral: hsl(131, 26%, 18%);
  --neutral-focus: hsl(131, 27%, 20%);
  --outline: hsl(131, 23%, 22%);
  --animation-duration: 0.35s;
  --background: url("./assets/bg.jpg");
}

@font-face {
  font-family: eb;
  src: url(https://zeon.dev/fonts/eb.ttf);
}

@font-face {
  font-family: eb;
  font-weight: 600;
  src: url(https://zeon.dev/fonts/ebh.ttf);
}

html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
  touch-action: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  color-scheme: dark;
  font-family: eb, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  box-sizing: border-box;
}

body {
  background: var(--background);
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  color: #fff;
  /* font-family: "Inter", "Segoe UI Variable Display", system-ui, -apple-system,
    BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell,
    "Open Sans", "Helvetica Neue", sans-serif; */
  margin: 0;
  padding: 0;
  font-size: 14px;
  display: flex;
  flex-direction: column;
}

[class^="ws-"] {
  box-sizing: border-box;
}

.ws-window {
  resize: both;
  position: absolute;
  /* top: 0; */
  /* left: 0; */
  display: inline-flex;
  background-color: #fff;
  border: 1px solid #ccc;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  overflow: hidden;
  flex-direction: column;
  min-width: 150px;
  min-height: 100px;
}

.ws-window.dragging {
  user-select: none;
}

.ws-titlebar {
  user-select: none;

  display: flex;
  height: 30px;
  background-color: #f5f5f5;
  border-bottom: 1px solid #ccc;
  border-radius: 5px 5px 0 0;
  align-items: center;
  justify-content: center;
}

.ws-titlebar .buttons {
  padding-right: 5px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
  gap: 5px;
}

.ws-titlebar .title {
  flex: 1;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: left;
  height: 100%;
  padding-left: 5px;
}

.ws-titlebar button {
  height: 1rem;
  width: 1rem;
  border-radius: 50%;
  background-color: #ccc;
  border: 1px solid #ccc;
  outline: none;
  cursor: pointer;
  appearance: none;
}

.ws-titlebar button:hover {
  background-color: #eee;
}

.ws-titlebar button:active {
  background-color: #ddd;
}

.ws-titlebar button:focus {
  outline: none;
}

.ws-titlebar button.ws-maximize {
  background-color: rgb(94, 239, 123);
}

.ws-titlebar button.ws-minimize {
  background-color: rgb(255, 255, 0);
}

.ws-titlebar button.ws-close {
  background-color: rgb(255, 0, 0);
}

.ws-content {
  padding: 10px;
  flex: 1;
}

.small-label {
  font-size: 80%;
  color: #999;
  font-weight: 500;
}
.superscript {
  align-self: flex-start;
}

.loading-screen {
  display: flex;
  width: 100%;
  height: 100%;
  flex-direction: column;
  background-color: #0004;
  justify-content: center;
  align-items: center;
  gap: 6px;
}

.loading-screen .logo {
  display: flex;
  gap: 6px;
  font-size: 3vmax;
  font-style: italic;
}

@keyframes menuOpen {
  from {
    transform: translateY(120%);
  }
  to {
    transform: translateY(0);
  }
}
@keyframes menuClose {
  from {
    transform: translateY(0);
  }
  to {
    transform: translateY(150%);
  }
}

.opening {
  animation: menuOpen 0.35s cubic-bezier(0.33, 1, 0.68, 1) forwards;
}

.closing {
  animation: menuClose 0.35s cubic-bezier(0.33, 1, 0.68, 1) backwards;
}
